import com.google.gson.Gson;
import java.io.File;
import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author Kornutiik
 */

@WebServlet(urlPatterns = {"/rss"})
//@WebServlet("/someservlet/*")

public class rss extends HttpServlet {

    /**
     * Processes requests for both HTTP
     * <code>GET</code> and
     * <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    
    protected RssCore rss = new RssCore();
    
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP
     * <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String clbck = "", output = "";
        String feedOut;
        rss = new RssCore();
        File f = new File("file.json");
        if(!f.exists()) { 
            rss.RssAdd("http://www.zive.cz/rss/sc-47/");
            rss.RssAdd("http://www.zive.sk/rss/sc-47/default.aspx");
            rss.RssAdd("http://www.novinky.cz/rss2/");
        }
        
        String parRss = request.getParameter("rss").toString();
        
        if(new String("reach").equals(parRss))
        {
            //start
            rss.RssRead();
            feedOut = new Gson().toJson(rss.getFeedObject());
            clbck = request.getParameter("callback");
            response.setContentType("application/json");
            response.setCharacterEncoding("UTF-8");
            output = clbck + "(" + feedOut + ");";
            response.getWriter().write(output);
            //stop
        }
        else if(new String("reachand").equals(parRss))
        {
            rss.RssRead();
            feedOut = new Gson().toJson(rss.getFeedObject());
            response.setContentType("application/json");
            response.setCharacterEncoding("UTF-8");
            response.getWriter().write(feedOut);
        }
        else if(new String("add").equals(parRss))
        {
            rss.RssAdd(request.getParameter("link").toString());
        }
        else if(new String("delete").equals(parRss)){
            rss.RssDelete(request.getParameter("link").toString());
        }
        else if(new String("defaults").equals(parRss)){
            rss.DeleteFile();
        }
        else if(new String("test").equals(parRss)){
            //štart sekvencie na test odozvy servera
            //testuje 30x pre 1, 10 a 100 RSS zdrojov, výsledky uloží do súborov
            TimmingTest test1 = new TimmingTest();
            test1.startTimingTest(response);
        }
    } 

    /**
     * Handles the HTTP
     * <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}